Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque
Class DeadlockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.torque.TorqueException
                  org.apache.torque.DeadlockException

All Implemented Interfaces:
  Serializable

    public class DeadlockException

extends TorqueException

This exception is thrown if the database detects a deadlock.

Version:
  $Id: DeadlockException.java 1448414 2013-02-20 21:06:35Z tfischer $
See Also:
  Serialized Form

Constructor Summary
`DeadlockException(String msg, Throwable nested)` Constructs a new `DeadlockException` with specified detail message and nested `Throwable`.
`DeadlockException(Throwable nested)` Constructs a new `DeadlockException` with specified nested `Throwable`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeadlockException

    public DeadlockException(Throwable nested)

  Constructs a new `DeadlockException` with specified nested `Throwable`.

  Parameters:
    `nested` - the exception or error that caused this exception to be thrown.

### DeadlockException

    public DeadlockException(String msg,
                             Throwable nested)

  Constructs a new `DeadlockException` with specified detail message and nested `Throwable`.

  Parameters:
    `msg` - the error message.
    `nested` - the exception or error that caused this exception to be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.